NioBlockingSelector.BlockPoller (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioBlockingSelector.BlockPoller class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioBlockingSelector.BlockPoller

    java.lang.Object
      java.lang.Thread
          org.apache.tomcat.util.net.NioBlockingSelector.BlockPoller

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NioBlockingSelector

    protected class NioBlockingSelector.BlockPoller

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.util.concurrent.ConcurrentLinkedQueue<java.lang.Runnable>` | `events`
`protected boolean` | `run`
`protected java.nio.channels.Selector` | `selector`
`protected java.util.concurrent.atomic.AtomicInteger` | `wakeupCounter`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `NioBlockingSelector.BlockPoller()`

Method Summary
`void` | `add(NioEndpoint.KeyAttachment key, int ops, NioBlockingSelector.KeyReference ref)`
`void` | `cancel(java.nio.channels.SelectionKey sk, NioEndpoint.KeyAttachment key, int ops)`
`void` | `cancelKey(java.nio.channels.SelectionKey key)`
`void` | `countDown(java.util.concurrent.CountDownLatch latch)`
`void` | `disable()`
`boolean` | `events()`
`void` | `remove(NioEndpoint.KeyAttachment key, int ops)`
`void` | `run()`
`void` | `wakeup()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### run

    protected boolean run

### selector

    protected java.nio.channels.Selector selector

### events

    protected java.util.concurrent.ConcurrentLinkedQueue<java.lang.Runnable> events

### wakeupCounter

    protected java.util.concurrent.atomic.AtomicInteger wakeupCounter

Constructor Detail

### NioBlockingSelector.BlockPoller

    protected NioBlockingSelector.BlockPoller()

Method Detail

### disable

    public void disable()

### cancelKey

    public void cancelKey(java.nio.channels.SelectionKey key)

### wakeup

    public void wakeup()

### cancel

    public void cancel(java.nio.channels.SelectionKey sk,
                       NioEndpoint.KeyAttachment key,
                       int ops)

### add

    public void add(NioEndpoint.KeyAttachment key,
                    int ops,
                    NioBlockingSelector.KeyReference ref)

### remove

    public void remove(NioEndpoint.KeyAttachment key,
                       int ops)

### events

    public boolean events()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### countDown

    public void countDown(java.util.concurrent.CountDownLatch latch)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.